<?php
/*******************************************************************************
 * Copyright (c) 2006-2007 Eclipse Foundation
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Bjorn Freeman-Benson - initial API and implementation
 *    Ward Cunningham - initial API and implementation
 *    Karl Mathias - initial API and implementation
 *******************************************************************************/
/*
 * Make a create-context.php file that includes
 * the correct context for the local development environment.
 * 
 * For developers, the correct context is typically the generic
 * developer's context augmented with any local variations. For
 * example, Bjorn's development laptop uses:
 */
include_once( $GLOBALS['ROOT_DIRECTORY'] . "/releng/contexts/developer-local.php" );
include_once( $GLOBALS['ROOT_DIRECTORY'] . "/releng/contexts/bfreeman-laptop.php" );
?>
