<p>
<?php
/*******************************************************************************
 * Copyright (c) 2006-2007 Eclipse Foundation
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Bjorn Freeman-Benson - initial API and implementation
 *    Ward Cunningham - initial API and implementation
 *    Karl Mathias - initial API and implementation
 *******************************************************************************/
switch ($action) {

case "submit": 
	?>
	Do you agree with the statement? That is the question of the week.
	<br><br>
	Select one of five choices and press <b>submit</b> to record your opinion.
	If you are confident in your opinion, choose agree or disagree. 
	If you don't have an opinion or don't understand the question, choose neutral. 
	If you agree or disagree with some reservation, choose the intermediate value between neutral and agree or disagree.. 
	<br><br>
	You can change your mind later with <b>edit</b>. Your response will be immediately visible to other committers through the portal.
	You will not be identified as the submitter nor will any email be sent (but your login is saved with your answer in the database.)
	<br><br>
	You are welcome to add a comment too. Responses with comments show up with a distinct mark in the poll summary.
	<br><br>
	See also: <a href="http://wiki.eclipse.org/index.php/Portal_Polling_Process">design document</a> for polling component.
	<?php
	break;

case "save":
	?>
	Press <b>save</b> to endorse existing questions or to suggest a new question you have entered.
	Questions should be written in the form of a statement to which committers can agree or disagree. 
	Each Monday the question with the most endorsements will become the question of the week.
	Submitting or endorsing a question means only that you think it is an important question
	that should be put before all committers.
	<br><br>
	See also: <a href="http://wiki.eclipse.org/index.php/Portal_Polling_Process">design document</a> for polling component.
 	<?php
	break;
	
case "delete":
	?>
	Press <b>delete</b> to remove the selected questions. Only a pollmeister can delete questions.
	<?php
	break;

case "post":
	?>
	Press <b>post</b> to schedule the selected questions at the next available opportunity. Only a pollmeister can post questions.
	<?php
	break;
	
case "stats":
	?>
	Press <b>stats</b> to retrieve response statistics from old polls. Currently only a pollmeister can retrieve stats.
	<?php
	break;

default:
	echo $default;
}

?>
</p>
