<?php
/*******************************************************************************
 * Copyright (c) 2006-2007 Eclipse Foundation
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Bjorn Freeman-Benson - initial API and implementation
 *    Ward Cunningham - initial API and implementation
 *    Karl Mathias - initial API and implementation
 *******************************************************************************/
require_once( "classes/external_entry_point.php");
external_entry( false );
if( $context->devmode ) {
?>
<h1>Portal Development</h1>

<p><font color=gray>
Live portal resources on this server.
</font></p>

<li><a href="portal/portal.php">demo</a> 
	(<a href="portal/dev-db.php?db=myfoundation">db</a>)
	(<a href="releng/check-and-modify-database-schema.php">schema check only</a>)
	(<a href="releng/setup-sandbox-db.php">check and initialize</a>)
<li><a href=tests>tests</a> 
	(<a href="portal/dev-db.php?db=myfoundation_test">db</a>)
	(<a href="releng/setup-sandbox-db.php?context=test">init prototype db</a>)
	(<a href="tests/all.php">run all test cases</a>)
<li><a href=portal/dev-source.php>source</a>


<p><font color=gray>
Alternate services for Members.
</font></p>

<li><a href=portal/password-request.php>password request</a>
<li><a href=portal/account-request.php>account request</a>

<p><font color=gray>
Documentation in the foundation wiki.
</font></p>

<li><a href=https://foundation.eclipse.org/wiki/index.php/MyFoundation_Portal>discussion</a>
    (<a href=https://foundation.eclipse.org/wiki/index.php/MyFoundation_Portal_Design>design</a>)
	(<a href=https://foundation.eclipse.org/wiki/index.php/MyFoundation_Portal_Implementation_Sketch>implementation</a>)
	(<a href=https://foundation.eclipse.org/wiki/index.php/Portal_Process_Process>process</a>)

<?php

$missing_db = '';
foreach($context->databases as $key=>$value) {
	$dbh = $context->database($key);
	if(mysql_errno() != 0) {
	    $dbname = $value['DATABASE'];
		$missing_db .= "<li>$key => $dbname";
	}
}

if (strlen($missing_db) != 0) {
?>
<p><font color=gray>Database Creation Required<ul> <?= $missing_db ?></ul></font></p>
<form action="dev-db-create.php" method="post">
<table style="border: 1px solid gray; margin: 10px;">
<tr>
<th colspan="2">Database Creation Requires Super-User</th>
</tr><tr>
<td style="color: gray;">DB Root Username</td><td><input type="text" name="dbuser" value="root" size="20"></td>
</tr><tr>
<td style="color: gray; text-align: right;">Password</td><td><input type="password" name="dbpass" value="" size="20"></td>
</tr><tr>
<td></td><td><input type="submit" name="create" value="Create"></td>
</tr>
</table>
</form>
<?php
} else {
?>
<p><font color=gray>
Demo database logins.
</font></p><table style="margin-left: 50px;" border=0 cellpadding=0>
<?php
	$dbh = $context->database( "foundation");
	$result = mysql_query( "SELECT PersonID, FName, LName FROM People", $dbh );
	while( $row = mysql_fetch_assoc($result)) {
		echo "<tr><td align=right><code>" . $row['PersonID'] . "</code>:</td><td>&nbsp;</td><td>" . $row['FName'] . " " . $row['LName'] . "</td></tr>\n";
	}
?></table>
<?php
}
?>
<p><font color=gray>
Other documentation resources that may be useful.
</font></p>

<li><a href=http://developer.gnome.org/tools/cvs.html>gnome's cvs doc</a> -- includes file status codes
<?php
} else { // not devmode
	header("Location: portal/portal.php");
}
?>
