<?php
require_once( "../classes/external_entry_point.php");
external_entry(true, "Portal Email Monitor");
/*******************************************************************************
 * Copyright (c) 2006-2007 Eclipse Foundation
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Bjorn Freeman-Benson - initial API and implementation
 *    Ward Cunningham - initial API and implementation
 *    Karl Mathias - initial API and implementation
 *******************************************************************************/
require_once($GLOBALS['CLASSES_DIRECTORY'] . "functions.php" ); 
if( !user_has_emo_portal_role($context )) {
?>Sorry, you're not a portal administrator.
<?php
} else {
function nullcheck($x) {
	if( $x == null || $x == '' )
		return '&nbsp;';
	else
		return $x;
}
?>
<table border="0" cellpadding="3">
<tr><th colspan="9">Immediate Emails</th></tr>
<tr><th>id</th>
<th>component</th>
<th>class</th>
<th>from</th>
<th>param1</th>
<th>param2</th>
<th>param3</th>
<th>param4</th>
<th>sent</th>
</tr>
<?php
$sql = 'SELECT * FROM immediate_emails ORDER BY sent, component, class';
$result = portal_sql( $sql );
$rowcount = 0;
while( ($row = mysql_fetch_assoc( $result )) != null ) {
	$found = true;
	$color = ($rowcount++) % 2 ? "#88FF88" : "#BBFFBB";	
	?><tr bgcolor="<?= $color ?>">
	<td><?= $row['id'] ?></td>
	<td><?= $row['component'] ?></td>
	<td><?= $row['class'] ?></td>
	<td><?= $row['fromaddr'] ?></td>
	<td><?= nullcheck($row['param1']) ?></td>
	<td><?= nullcheck($row['param2']) ?></td>
	<td><?= nullcheck($row['param3']) ?></td>
	<td><?= nullcheck($row['param4']) ?></td>
	<td><?= nullcheck($row['sent']) ?></td>
	</tr><?php
}
if( $rowcount == 0 ) {
	?><tr><td align="center" colspan="9">none</td></tr><?php
}
?>
</table><p>
<table border="0" cellpadding="3">
<tr><th colspan="9">Daily Emails</th></tr>
<tr><th>id</th>
<th>component</th>
<th>class</th>
<th>from</th>
<th>param1</th>
<th>param2</th>
<th>param3</th>
<th>param4</th>
<th>sent</th>
</tr>
<?php
$sql = 'SELECT * FROM daily_emails ORDER BY sent, component, class';
$result = portal_sql( $sql );
$rowcount = 0;
while( ($row = mysql_fetch_assoc( $result )) != null ) {
	$found = true;
	$color = ($rowcount++) % 2 ? "#88FF88" : "#BBFFBB";	
	?><tr bgcolor="<?= $color ?>">
	<td><?= $row['id'] ?></td>
	<td><?= $row['component'] ?></td>
	<td><?= $row['class'] ?></td>
	<td><?= $row['fromaddr'] ?></td>
	<td><?= nullcheck($row['param1']) ?></td>
	<td><?= nullcheck($row['param2']) ?></td>
	<td><?= nullcheck($row['param3']) ?></td>
	<td><?= nullcheck($row['param4']) ?></td>
	<td><?= nullcheck($row['sent']) ?></td>
	</tr><?php
}
if( $rowcount == 0 ) {
	?><tr><td align="center" colspan="9">none</td></tr><?php
}
?>
</table>
<?php
}
?>
