<?php
require_once( "../classes/external_entry_point.php");
external_entry(!isset($_REQUEST['anon']));
/*******************************************************************************
 * Copyright (c) 2006-2007 Eclipse Foundation
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Bjorn Freeman-Benson - initial API and implementation
 *    Ward Cunningham - initial API and implementation
 *    Karl Mathias - initial API and implementation
 *******************************************************************************/
require_once($_SERVER['DOCUMENT_ROOT'] . "/eclipse.org-common/system/app.class.php");
require_once($_SERVER['DOCUMENT_ROOT'] . "/eclipse.org-common/system/nav.class.php");
require_once($_SERVER['DOCUMENT_ROOT'] . "/eclipse.org-common/system/menu.class.php");
$App 	= new App();	$Nav	= new Nav();	$Menu 	= new Menu();		include($App->getProjectCommon());

$pageTitle 		= "My Foundation";
$pageKeywords	= "";
$pageAuthor		= "";

$extraHtmlHeaders = "<link rel=\"stylesheet\"
      type=\"text/css\"
      href=\"images/portal.css\"/>
      <link rel=\"stylesheet\" type=\"text/css\" href=\"images/balloon.css\"/>
	";
$App->AddExtraHtmlHeader($extraHtmlHeaders);

ob_start();
?>
<script language="JavaScript" type="text/javascript" src="images/balloon.js">
</script>
<div id="branding">
<?php

// Clear anonymous logins if we're trying to get to the authenticated portal
if(($_SESSION['portaluser'] == 'anonymous') && (!isset($_REQUEST['anon']))) {
	session_destroy();
	header('Location: portal.php'); // Re-run the whole external_entry process
}

// Display logged-in name
if(isset($_SESSION['portaluser']) && ($_SESSION['portaluser'] != 'anonymous')) {

	?><table border=0 width=100%><tr><td><span style="font-size: 24px">
	<?php
		$name = $context->user();
	    $result = foundation_sql( "SELECT * FROM People WHERE PersonID = '$name'");
	    $row = mysql_fetch_assoc($result);
	    echo $row['FName'] . " " . $row['LName'];
	?></span></td><form method="GET"><td>
			<input type="submit" name="logout" value="Log out">
		</td></form></tr></table>
	<?php
} else {
	?><em>Not logged in</em><?php
}

?></div><!-- branding -->
<?php
$branding = ob_get_contents();
ob_end_clean();
$Menu->setProjectBranding($branding);

ob_start();
?>
    <div id="maincontent">
	<div id="midcolumn">

<!-- preload image to avoid reloading and broken image icon -->
<script type="text/javascript" language="JavaScript">
  portal_loading = new Image(); portal_loading.src="images/loading.gif";
</script>
<!-- using AjaxRequest from http://www.ajaxtoolbox.com/request/ -->
<script src="AjaxRequest.js">
</script>
<script src="images/portal.js">
</script>
<script type="text/javascript" language="JavaScript">
function potentially_create_new_component(node1) {
	if( node1.childNodes[0].nodeName == '#comment' ) {
		str = node1.childNodes[0].nodeValue;
		idx = str.indexOf('|');
		newid = str.substring(1,idx);
		newtitle = str.substring(idx+1);
		newouter = document.createElement('div');
		newouter.setAttribute('class','component');
		newouter.innerHTML = '<div class="title">' + newtitle + '</div><p><div id="' + newid + '">Loading</div>';
		node2 = node1.parentNode;
		refChild = node2.nextSibling;
		node3 = node2.parentNode;
		node3.insertBefore( newouter, refChild );
		portal_get(newid,'revert');
	}
}
function show_slow( id ) {
	node1 = document.getElementById(id);
    node1.innerHTML = "<div align='center'><img src='images/loading.gif'></div>";
}
function portal_makeRequest(id,method,url,contents) {
	var timerid = window.setTimeout("show_slow('" + id + "')",300);
	AjaxRequest.get({
			 'url': url
			 ,'onSuccess':function(req){
			 	window.clearTimeout(timerid);
				node1 = document.getElementById(id);
				node1.innerHTML=req.responseText;
				potentially_create_new_component(node1)
			   }});
};
function portal_get(id,action) {
  portal_makeRequest(id,'GET','dispatch.php?id=' + id + '&action=' + action,'');
};
function portal_submitRequest(id, method, url, theform) {
	var timerid = window.setTimeout("show_slow('" + id + "')",300);
	var status = AjaxRequest.submit(
    theform
    ,{
      'url': url
      ,'onSuccess':function(req){
	 	window.clearTimeout(timerid);
        node1 = document.getElementById(id);
        node1.innerHTML=req.responseText;
		potentially_create_new_component(node1)
      }
    }
  );
  return status;
}
function portal_submit(id, action, form) {
  return portal_submitRequest(id, 'POST', 'dispatch.php?id=' + id + '&action=' + action, form);
};
</script>
<?php
require_once( $GLOBALS['CLASSES_DIRECTORY'] . "ifactory.class.php" );
require_once( $GLOBALS['CLASSES_DIRECTORY'] . "allfactories.class.php" );

// Handle anonymous forms
if(isset($_REQUEST['anon'])) {

	$component = 'anonymous_forms';
	$classname = $_REQUEST['anon'];
	$id = '1';

	// Get only valid input
	if(!preg_match('/^[a-zA-Z0-9_]+$/', "$classname")) {
		echo "<font color='red'>Unexpected character in parameters</font>";
		exit(1);
	}

	// If no one is logged in, make them anonymous so that dispatch will let them in
	if(!isset($_SESSION['portaluser'])) {
		$_SESSION['portaluser'] = 'anonymous';
	}

	require_once($GLOBALS['COMPONENTS_DIRECTORY'] . "$component/factory.php");
	$factoryclass = $component . "_Factory";
	$factory = new $factoryclass();
	$current = $factory->getObjectForId( $classname, $id, $context );
	if (is_null($current)) {
		echo "<font color='red'>factory can't make class: '$classname'</font>";
		exit();
	}
	$portal_objects = array($current);

} else {
	$allfactory = new AllFactories();
	$portal_objects = $allfactory->getObjectsForContext( $context );
}

$last_title = '';
foreach( $portal_objects as $instance ) {
	$dash = strpos($instance->title(), ' - ');
	if($dash !== false) {
		$title = substr($instance->title(), 0, $dash);
	} else {
		$title = $instance->title();
	}

	if($last_title != $title) {
		if($last_title != '') { // end tags
			echo "</div><!-- component -->\n";
		}
		$last_title = $title;

		ob_start();
		$instance->outer_html(' ');
		$buffer = ob_get_contents();
		ob_end_clean();

		if(substr($buffer, 0, 22) != '<!-- std component -->') { // marker for a standard component
			$instance->outer_html();
			$last_title = ''; // don't emit end tags or try to group the next component
			continue;
		}

   ?>
<div class="component">
  <div class="title"><?= $title ?></div>
  <p><div id="<?= $instance->id() ?>">
<?php
		if($instance->title() != $title) {
			echo "<b style=\"color: gray\">" . $instance->title() . "</b><br>\n";
		}
	    echo $instance->inner_html();
	    echo "</div></p>\n";

	} else {
		echo "<hr class='componentseparator'>\n";
		if($instance->title() != $title) {
			echo "<b style=\"color: gray\">" . $instance->title() . "</b>\n";
		}
		echo "\t<p><div id=\"" . $instance->id() . "\">\n";
		echo $instance->inner_html();
		echo "\n\t</div></p>\n";
	}
}
// last end tag
echo "</div>";

echo "<div style=\"padding:0px; margin: 0 0 0 1em\">\n";
foreach( $portal_objects as $instance ) {
	$text = $instance->bottom_text_contribution();
	if( $text != null ) {
		echo $text;
	}
}
echo "</div>\n";

?>
<div style="clear: both; padding: 0 0 0 3em;">
  <p><a href="https://bugs.eclipse.org/bugs/enter_bug.cgi?product=Community&version=unspecified&component=Portal&rep_platform=All&op_sys=All&priority=P3&bug_severity=normal&bug_status=NEW&bug_file_loc=http%3A%2F%2F&short_desc=&comment=&commentprivacy=0&keywords=&dependson=&blocked=&maketemplate=Remember%20values%20as%20bookmarkable%20template&form_name=enter_bug&assigned_to=portal-inbox%40eclipse.org&qa_contact=">Report bugs and request enhancements via bugzilla</a></p>
</div>

  </div><!--midcolumn -->
<?php
$shownheader = false;
$shown = array();
foreach( $portal_objects as $instance ) {
    $x = $instance->right_box_contribution();
    if( $x != null ) {
    	foreach( $x as $each ) {
    		if( !$shownheader ) {
				?>
				<div id="rightcolumn" style="width: 250px;">
				<div class="sideitem">
				<h6>Useful Links</h6>
				<ul>
				<?php
				$shownheader = true;
    		}
    		if( !isset($shown[$each])) {
    			?><li><?= $each ?></li><?php
				$shown[$each] = true;
    		}
    	}
    }
}
if( $shownheader ) {
				?>
			</ul>
		</div><!-- sideitem -->
  </div><!-- rightcolumn -->
<?php
}
?>
</div><!-- maincontent -->
<?php
	# Paste your HTML content between the EOHTML markers!
	$html = ob_get_contents();
	ob_end_clean();

	# Generate the web page
	$App->generatePage($theme, $Menu, $Nav, $pageAuthor, $pageKeywords, $pageTitle, $html);
?>
