<?php
require_once( "../classes/external_entry_point.php");
external_entry( false );
/*******************************************************************************
 * Copyright (c) 2006-2007 Eclipse Foundation
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Bjorn Freeman-Benson - initial API and implementation
 *    Ward Cunningham - initial API and implementation
 *    Karl Mathias - initial API and implementation
 *******************************************************************************/
require_once( "../classes/test-context.php");
require_once( "test-functions.php" );

if ($_GET['file']) {
  $file = $_GET['file'];
  $path = "scripts/$file";
} elseif ($argv[1]) {
  $file = $path = $argv[1];
}
$emphasizing = split(',', $_GET['lines']);

function trouble( $string ) {
	global $effective_label;
	$effective_label = "trouble";
        echo "<p><table cellpadding=10 width=400 bgcolor=#ffcccc><tr><td><font size=+2>Trouble: </font>";
        echo $string;
        echo "</table></p><script language=\"JavaScript\" type=\"text/javascript\">troubleseen = 1;</script>\n";
}

function index ($component, $action) {
}

function index_email ($component, $action) {
}



function perform_line($number, $line) {
  global $context;
  global $portal_objects;
  global $current_html;
  global $effective_user;
  global $effective_time;
  global $effective_label;
  global $users, $lanes;


  $effective_user = $context->user();
  $effective_label = '';
  ob_start();
  $result = eval($line);
  $html=ob_get_contents();
  ob_end_clean();
  $html = sanitize_images_in_html( $html );
  
  $verb = '';
  if (preg_match('/\s*(\w+)/', $line, $result)) {
    $verb = $result[1];
  }
  if( $result === false ) {
    trouble("Can't parse test statement. Check for unescaped punctuation, e.g., ' \", mismatched parentheses, etc. $html");
  }

  if ($html) $current_html = $html;
  trace_buffer_flush();

}

function democopy2() {
	global $context;
	foreach ($context->databases as  $key => $value ) {
		$dbname = $value['DATABASE'];
		if (preg_match ('/^((.+)_test)$/', $key, $matches)) {
			$from = $matches[1];
			$to = $matches[2];
			$fromdb = $context->databases[$from]['DATABASE'];
			$todb   = $context->databases[$to]['DATABASE'];
		
			portal_sql("SET FOREIGN_KEY_CHECKS = 0");
			$result = portal_sql("SHOW TABLES FROM $fromdb");  //TODO consider intersection of tables in $fromdb and $todb
			while( $row = mysql_fetch_array($result) ) {
				$tablename = $row[0];
				if (preg_match('/_prototype$/', $tablename))
					continue;
				portal_sql("DELETE FROM $todb.$tablename");
				portal_sql("INSERT INTO $todb.$tablename SELECT * FROM $fromdb.$tablename");
			}
			portal_sql("SET FOREIGN_KEY_CHECKS = 1");
		}
	}
}


ob_start();
$current_html = '';
$context->set("USER", 'nobody');
$effective_user = 'nobody';
require_once( "../classes/harness.php" );

$lines = file($path);
$number = 0;
perform_line ($number, "advance( null );");

foreach ($lines as $line) {
  $number++;
  perform_line($number, $line);
  if (isset($_GET['break']) && ($_GET['break'] == $number)) break;
}
ob_end_clean();
//echo "broke here at line $number\n";
//echo "break is ". $_GET['break'];
if($context->devmode) {
	$context->max_affected_rows = 100;
	democopy2();
	$_SESSION['portaluser'] = $effective_user;
	header("Location: ../portal/portal.php");
} else {
	trouble("Swam is onl avalable in development environments");
}
?>