<?
/*******************************************************************************
 * Copyright (c) 2006-2007 Eclipse Foundation
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Bjorn Freeman-Benson - initial API and implementation
 *    Ward Cunningham - initial API and implementation
 *    Karl Mathias - initial API and implementation
 *******************************************************************************/
require_once( $GLOBALS['CLASSES_DIRECTORY'] . "context.class.php" );

abstract class AbstractEmail {
  public $to;
  public $cc = null;
  public $subject;
  public $salutation = '';
  public $body;

  abstract public function create( $context, $param1, $param2, $param3, $param4 );
  
  public function standard_ask_questions_footer( $exclusions = '') {
  	if( $exclusions == '-lead') return "If you have any questions, please do not hesitate to contact your PMC member or the EMO <emo@eclipse.org>
";
  	return "If you have any questions, please do not hesitate to contact your project lead, PMC member, or the EMO <emo@eclipse.org>
";
  }
}
?>