<?php
/*******************************************************************************
 * Copyright (c) 2006-2007 Eclipse Foundation
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Bjorn Freeman-Benson - initial API and implementation
 *    Ward Cunningham - initial API and implementation
 *    Karl Mathias - initial API and implementation
 *******************************************************************************/
require_once( $GLOBALS['CLASSES_DIRECTORY'] . "context.class.php" );

class SendImmediateEmails {
  public function send_emails( $context ) {
    $delivermailfunc = $context->get( "email-delivery-function" );
    $eresult = portal_sql( "SELECT * FROM immediate_emails WHERE sent IS NULL");
    while( $erow = mysql_fetch_assoc( $eresult ) ) {
      if( $erow['sent'] ) continue;
      /* mark the email as sent right away to prevent another process from trying to send it
       * if we get an error, we can mark it back as unsent later */
      portal_sql( "UPDATE immediate_emails SET sent = " . $context->now() . " WHERE id = " . $erow['id']);

    $filename = $erow['component'] . "/emails/" . $erow['class'];
      require_once( $GLOBALS['COMPONENTS_DIRECTORY'] . "" . $filename . ".php" );
      $classname = $erow['class'] . "_Email";
      $fromaddr = $erow['fromaddr'];
      $generator = new $classname;
      $generator->create( $context, $erow['param1'], $erow['param2'], $erow['param3'], $erow['param4'] );
      $body = wordwrap($generator->body, 75, "\n", 1 );
      if( $generator->salutation ) $body = $generator->salutation . ",\n" . $body;
      $delivermailfunc( $fromaddr, $generator->to, $generator->cc, $generator->subject, $body, $filename, $context );
    }
  }
}

?>
