<?php
/*******************************************************************************
 * Copyright (c) 2006-2007 Eclipse Foundation
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Bjorn Freeman-Benson - initial API and implementation
 *    Ward Cunningham - initial API and implementation
 *    Karl Mathias - initial API and implementation
 *******************************************************************************/
require_once( "classes/external_entry_point.php");
external_entry( false );

if(!$context->devmode) {
	echo "Error: not in dev mode.  This could be harmful on production systems";
	exit(1);
}

echo "<h3>Creating Databases if needed</h3>\n";

$rec = $context->databases['myfoundation'];
$context->setdatabase( "rootdb", $rec['HOST'], $_REQUEST['dbuser'], $_REQUEST['dbpass'], "" );

$dbh = $context->database( "rootdb");
foreach ($context->databases as $key=>$value) {
	if($key == 'rootdb')
		continue;
	$dbname = $context->database_name($key);
	$rec = $context->databases[$key];
	echo "Creating $dbname<br>\n";
	$result = mysql_query( "CREATE DATABASE IF NOT EXISTS $dbname", $dbh);
	mysql_error_check();
	mysql_select_db($dbname);
	echo "Granting privileges on $dbname to " . $rec['USERNAME'] . "<br>\n";
	$result = mysql_query( "GRANT ALL ON * TO " . $rec['USERNAME']);
	mysql_error_check();
}

chdir('releng');
require_once( $GLOBALS['CLASSES_DIRECTORY'] . "initialize-demo-database.class.php" );
$initializer = new InitializeDemoDatabase();
$initializer->initialize( $context );
?>

<h1>DBs Created</h1>