<?php
require_once( $GLOBALS['CLASSES_DIRECTORY'] . "context.class.php" );

global $context;
$context = new Context();
$context->devmode = true;
$context->showerrors = true; // This is independent of devmode because it needs to be switched separately

$context->set( "components_directory", $GLOBALS['COMPONENTS_DIRECTORY'] . "" );
$context->set( "portal-page-url", "http://UNKOWN_HOST/UNKNOWN_URL" );

$context->set( "email-delivery-function", "store_email" );

// Databases

$context->setdatabase( "myfoundation", "localhost", "dashboard", "password", "myfoundation_demo" );
$context->setdatabase( "foundation",   "localhost", "dashboard", "password", "myfoundation_demo" );
$context->setdatabase( "eclipse",      "localhost", "dashboard", "password", "myfoundation_demo" );
$context->setdatabase( "bugzilla",     "localhost", "dashboard", "password", "myfoundation_demo" );
$context->setdatabase( "ipzilla",      "localhost", "dashboard", "password", "ipzilla_demo" );
$context->setdatabase( "asterisk",     "localhost", "dashboard", "password", "asterisk_demo" );

$context->setdatabase( "myfoundation_test", "localhost", "dashboard", "password", "myfoundation_test" );
$context->setdatabase( "foundation_test",   "localhost", "dashboard", "password", "foundation_test" );
$context->setdatabase( "eclipse_test",      "localhost", "dashboard", "password", "eclipse_test" );
$context->setdatabase( "bugzilla_test",     "localhost", "dashboard", "password", "bugzilla_test" );
$context->setdatabase( "ipzilla_test",      "localhost", "dashboard", "password", "ipzilla_test" );
$context->setdatabase( "asterisk_test",     "localhost", "dashboard", "password", "asterisk_test" );

$context->set( "indices_directory", "UNKNOWN_DIRECTORY"); // path must end with /
$context->set( "NOW", "NOW()"); // always initialize to this

$context->set( "cron_lockfile", "/tmp/portal-%CRON%.lock"); // %CRON% will be substituted for "daily" or "immediate"
$context->set( "webmaster_email", "nobody");

if( isset( $_SESSION['portaluser'])) {
	$context->set("USER", $_SESSION['portaluser'] );
}
?>